mscorlib 2.0.0.0 4.0.0.0 System.Object System.Runtime.InteropServices.ComVisible(true)

The class controls how the wrapped object is marshaled when passed as VARIANT. You can wrap a object in a object to marshal it as VT_BSTR. is useful when passing a null string to unmanaged code. Without , a null string is passed as VT_EMPTY; however, wrapping the string with ensures that the null string is passed as VT_BSTR.

Marshals data of type VT_BSTR from managed to unmanaged code. This class cannot be inherited.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified object.

  The object to wrap and marshal as VT_BSTR.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified object.

  The object to wrap and marshal as VT_BSTR.
- Property
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the wrapped object to marshal as type VT_BSTR.